-- =============================================  
-- Author:  <>  
-- Create date: <>  
-- Description: <caricamento tabella di generazione S179EmittentiConcentrazioneAlta>  
-- =============================================  
CREATE     procedure [C6MartPeriodico].[Popola_S179EmittentiConcentrazioneAlta_BKP_20231115]  
 -- Add the parameters for the stored procedure here  
 --@Rete char(1),   
 --@CodiceFiscale varchar(16)  
AS  
BEGIN  
DECLARE @DataFineTrim VARCHAR(8)  
SET @DataFineTrim = c6martperiodico.getTrimestre2(getDate(),0)   
--print @DataFineTrim
truncate table C6MartPeriodico.TB_S179EmittentiConcentrazioneAlta  
INSERT INTO C6MartPeriodico.TB_S179EmittentiConcentrazioneAlta     
SELECT 
      ce.[RETE]
      ,
	  case
	 when(isnull(ltrim(rtrim(ce.codman)),'') <> '') 
			then 'FF@'+ce.codman
	 when (isnull(ce.codfis,'') <> '')
			then ce.codfis
	 else
			ce.codfis
	 end as Codfis
      ,1 as Ordine
      ,[DESCEMI] as Emittente
	  ,ce.totctv as ctv
	  ,1 as flagAdeguatezza
	  ,ce.SOGLIACTV_CONC as Franchigia
	  ,ce.conc as percConcentrazione
	  ,ce.rating as Rating
	  ,ce.limite_conc as SogliaConcenrazione
FROM   [C6StagingPeriodico].[WSEICE2] ce
inner join [C6MartPeriodico].[WSEIAN2] an 
     on ce.rete = an.rete and
	    ce.codfis= an.codfis
		-- 26/6/2018 - Certificazione campione - Segnalazione Napolitano - Creazione riga duplicata nella tabella emittenti a concentrazione alta
		and an.dttrim = ce.dttrim
		-- 26/6/2018 - Fine 
  WHERE 1=1
	--  and ce.DTTRIM =  @DataFineTrim
	  and an.concemi = 'N' --estraggo solo quelli che non sono adeguati per concentrazione emittenti sulla wseian
	  and ce.flgconc = '0' -- e solo gli emittenti non adeguati (perché sulla wseice arrivano tutti gli emittenti, adeguati e non) prima era N
  --select * from C6MartPeriodico.TB_S179EmittentiConcentrazioneAlta  
END